declare module '@hiiretail/react-foundation-ui/common/types/theme.types' {
  export type Color = 'primary' | 'secondary' | 'error';

}
declare module '@hiiretail/react-foundation-ui/components/Button/Button' {
  import type { ButtonProps } from "@mui/material/Button";
  import type { Color } from "@hiiretail/react-foundation-ui/common/types/theme.types";
  import type { FC, PropsWithChildren } from "react";
  export type ChangeFields<T, R> = Omit<T, keyof R> & R;
  export type FoundationButtonProps = ChangeFields<ButtonProps, {
      color?: Color;
      variant?: Exclude<ButtonProps['variant'], 'outlined'>;
  }>;
  export const Button: FC<PropsWithChildren<FoundationButtonProps>>;

}
declare module '@hiiretail/react-foundation-ui/components/Button/index' {
  export { Button } from '@hiiretail/react-foundation-ui/components/Button/Button';

}
declare module '@hiiretail/react-foundation-ui/components/FoundationProvider/FoundationProvider' {
  import React, { PropsWithChildren } from 'react';
  export const themeOptions: {
      palette: {
          type: string;
          primary: {
              main: string;
          };
          secondary: {
              main: string;
          };
          error: {
              main: string;
          };
      };
      shape: {
          borderRadius: number;
      };
      typography: {
          fontFamily: string;
      };
  };
  export const FoundationProvider: React.FC<PropsWithChildren<{}>>;

}
declare module '@hiiretail/react-foundation-ui/components/FoundationProvider/index' {
  export { FoundationProvider } from '@hiiretail/react-foundation-ui/components/FoundationProvider/FoundationProvider';

}
declare module '@hiiretail/react-foundation-ui/components/index' {
  export { FoundationProvider } from '@hiiretail/react-foundation-ui/components/FoundationProvider/index';
  export { Button } from '@hiiretail/react-foundation-ui/components/Button/index';

}
declare module '@hiiretail/react-foundation-ui/index' {
  import { Accordion, AccordionActions, AccordionDetails, AccordionSummary, Alert, AlertTitle, AppBar, Autocomplete, Avatar, AvatarGroup, Backdrop, Badge, BottomNavigation, BottomNavigationAction, Box, Breadcrumbs, ButtonGroup, Card, CardActionArea, CardActions, CardContent, CardHeader, CardMedia, Checkbox, Chip, CircularProgress, ClickAwayListener, Collapse, Container, CssBaseline, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle, Divider, Drawer, Fab, Fade, FilledInput, FormControl, FormControlLabel, FormGroup, FormHelperText, FormLabel, Grid, Grow, Hidden, Icon, IconButton, ImageList, ImageListItem, ImageListItemBar, Input, InputAdornment, InputBase, InputLabel, LinearProgress, Link, List, ListItem, ListItemAvatar, ListItemButton, ListItemIcon, ListItemSecondaryAction, ListItemText, ListSubheader, Menu, MenuItem, MenuList, MobileStepper, Modal, NativeSelect, NoSsr, OutlinedInput, Pagination, PaginationItem, Paper, Popover, Popper, Portal, Radio, RadioGroup, Rating, ScopedCssBaseline, Select, Skeleton, Slide, Slider, Snackbar, SnackbarContent, SpeedDial, SpeedDialAction, SpeedDialIcon, Stack, Step, StepButton, StepConnector, StepContent, StepIcon, StepLabel, Stepper, SvgIcon, SwipeableDrawer, Switch, Tab, Table, TableBody, TableCell, TableContainer, TableFooter, TableHead, TablePagination, TableRow, TableSortLabel, Tabs, TabScrollButton, TextField, TextareaAutosize, ToggleButton, ToggleButtonGroup, Toolbar, Tooltip, Typography, useMediaQuery, useScrollTrigger, Zoom, useAutocomplete, GlobalStyles } from '@mui/material';
  import * as emotionReact from '@emotion/react';
  import * as emotionStyled from '@emotion/styled';
  import { FoundationProvider } from '@hiiretail/react-foundation-ui/components/index';
  import { Button } from '@hiiretail/react-foundation-ui/components/index';
  export { FoundationProvider, Accordion, AccordionActions, AccordionDetails, AccordionSummary, Alert, AlertTitle, AppBar, Autocomplete, Avatar, AvatarGroup, Backdrop, Badge, BottomNavigation, BottomNavigationAction, Box, Breadcrumbs, Button, ButtonGroup, Card, CardActionArea, CardActions, CardContent, CardHeader, CardMedia, Checkbox, Chip, CircularProgress, ClickAwayListener, Collapse, Container, CssBaseline, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle, Divider, Drawer, Fab, Fade, FilledInput, FormControl, FormControlLabel, FormGroup, FormHelperText, FormLabel, Grid, Grow, Hidden, Icon, IconButton, ImageList, ImageListItem, ImageListItemBar, Input, InputAdornment, InputBase, InputLabel, LinearProgress, Link, List, ListItem, ListItemAvatar, ListItemButton, ListItemIcon, ListItemSecondaryAction, ListItemText, ListSubheader, Menu, MenuItem, MenuList, MobileStepper, Modal, NativeSelect, NoSsr, OutlinedInput, Pagination, PaginationItem, Paper, Popover, Popper, Portal, Radio, RadioGroup, Rating, ScopedCssBaseline, Select, Skeleton, Slide, Slider, Snackbar, SnackbarContent, SpeedDial, SpeedDialAction, SpeedDialIcon, Stack, Step, StepButton, StepConnector, StepContent, StepIcon, StepLabel, Stepper, SvgIcon, SwipeableDrawer, Switch, Tab, Table, TableBody, TableCell, TableContainer, TableFooter, TableHead, TablePagination, TableRow, TableSortLabel, Tabs, TabScrollButton, TextField, TextareaAutosize, ToggleButton, ToggleButtonGroup, Toolbar, Tooltip, Typography, useMediaQuery, useScrollTrigger, Zoom, useAutocomplete, GlobalStyles, emotionReact, emotionStyled };

}
declare module '@hiiretail/react-foundation-ui' {
  import main = require('@hiiretail/react-foundation-ui/index');
  export = main;
}